Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 5430 - diskdruid and the silo 1024 barrier.
Summary: diskdruid and the silo 1024 barrier.
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: installer
Version: 6.0
Hardware: sparc
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jay Turner
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-09-29 09:05 UTC by Jeremiah Johnson
Modified: 2015-01-07 23:38 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-09 00:04:47 UTC


Attachments (Terms of Use)

Description Jeremiah Johnson 1999-09-29 09:05:18 UTC
A problem that I thought was solved has turned up again,
but this time on the sparc platform. The problem being that
the linux kernel must be (as quoted from the doc) " below a
magic boundary 1GB from the start of the disk. " What I
normally do to fix this is create a partition, say sda1 and
make that /boot. This works quite well on x86 systems.
However, DiskDruid will *NOT* let you put /boot on a
partition other than / with RH6.0sparc. The only other way
around this is to make a small / and make sure its sda1. I
feel the /boot way is better.

Comment 1 Jay Turner 2000-02-08 13:46:59 UTC
Sparc does not have this limit, so this is not something that you need to worry
about on a 4M or 4C sparc.  You are allowed to create a /boot partition on a 4U
machine however.

Comment 2 Jeremiah Johnson 2000-02-08 19:33:59 UTC
According to the silo documentation sparc does has this (1024)limitation.  I
have encountered the problem on a sparcstation 20.  DiskDruid doesn't let me
make the partition anyways, if i try to create a partition named " /boot " it
says that /boot *must* be on the / partition.  Even if sparc doesnt have the
barrier I should beable to make a /boot partition.  As my cpu just died in my
ss20 I have not been able to test to see if 6.1 is affected here.

Comment 3 Jay Turner 2000-02-09 00:04:59 UTC
Due to limitations on the sparc, you will not be able to create a separate /boot
partition on a 4M sparc (same for a 4C)  So, the only machine that you will be
able to create a separate /boot partition on is a 4U machine.


Note You need to log in before you can comment on or make changes to this bug.